<div [ngClass]="envName == 'sage' ?'login-container-sa' : 'login-container-az'" >
    <div class="signin-header">
        <section>
            <a>
                <img alt="" [ngStyle]="envName == 'sage'? {'width': '200px'}:{'width': '250px'}" src="{{imagePath}}">
            </a>
        </section>
    </div>
    <div class="container col-md-5" >
        <form id="loginFormBean" [formGroup]="loginForm">
            <div>
                <div class="autoScroll" style="overflow:visible" >
                    <div class="form-group" style="margin-bottom: 5%;" id="username-container">
                        <mat-form-field appearance="outline" style="width: 100%" >
                            <mat-label>{{'msg.login.email' | translate}}</mat-label>
                            <input matInput placeholder="" formControlName="email" required>
                            <mat-error *ngIf="hasError('email', 'required')">{{'msg.login.email.required'| translate}}</mat-error>
                            <mat-error *ngIf="hasError('email', 'email')">{{'msg.login.email_format'| translate}}</mat-error>

                        </mat-form-field>
                    </div>

                    <div class="form-group" style="margin-bottom: 5%;" d="password-container">
                        <mat-form-field appearance="outline" style="width: 100%">
                            <mat-label>{{'msg.login.password' | translate}}</mat-label>
                            <input matInput [type]="showPwd ? 'password' : 'text'" formControlName="password">
                            <button mat-icon-button matSuffix (click)="showPwd = !showPwd" [attr.aria-label]="'Hide password'" [attr.aria-pressed]="showPwd">
                                <mat-icon>{{showPwd ? 'visibility_off' : 'visibility'}}</mat-icon>
                            </button>
                            <mat-error *ngIf="hasError('password', 'required')">{{'msg.login.password.required'| translate}}</mat-error>

                        </mat-form-field>
                    </div>
                    <div fxLayout="row">
                        <div fxFlex="40">
                            <div class="text-action" style="text-decoration: underline;" (click)="openPwdDialog()">{{'msg.login.password.forget' | translate}}</div>
                        </div>
                        <div fxFlex="60">
                            <div class="text-action" style="text-align: right;">
                                <mat-checkbox formControlName="connected" class="example-margin">{{'msg.login.session.open' | translate}}</mat-checkbox>
                            </div>
                        </div>
                    </div>

                    <div fxLayout="column" id="login-btn-container" >
                        <!-- login button -->
                        <div fxLayout="column" style="margin-bottom: 20%;" fxLayoutAlign="center center">
                            <button mat-raised-button class="connexion" id="buttonSave" type="submit" (click)="onSubmit();" [class.auth-spinner]="loading" [disabled]="!loginForm.valid || loading">
                                <span style="color: white;font-weight: bold;"> {{'msg.login.connect' | translate}}</span>
                            </button>
                        </div>
                    </div>

                    <div fxLayout="row" style="margin: 15px;">
                        <div  fxFlex="45"class="Ligne-1"></div>
                        <span fxFlex="10"class="Ou">Ou</span>
                        <div fxFlex="45"class="Ligne-2"></div>
                    </div>
                    <!-- Google  Microsoft -->
                    <div fxLayout="column" fxLayoutAlign="center center" >
                        <div [class]="(envName == 'sage') ? 'google-sa' : 'google-az'">
                            <div class="g-signin2 " data-width="200" data-height="auto" data-onsuccess="onSignIn" data-onfailure="failureGoogle" data-longtitle="true"></div>
                        </div>
                        <div fxLayout="row"  fxLayoutAlign="center" (click)="directMicrosoftConnectOrRedirect()" [class]="(envName== 'sage') ? ['google-sa', 'microsoftContents'] : ['google-az', 'microsoftContents']">
                            <img src="/assets/images/png/microsoft_logo.jpg" style="height: 20px;">&nbsp;&nbsp;  {{'msg.login.connect.microsoft'| translate}}
                        </div>
                    </div>
                </div>
            </div>
            
        </form>
    </div>
</div>